Bug 819643 - Database RUV could mismatch the one in changelog under the stress
Summary: Database RUV could mismatch the one in changelog under the stress
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: 389-ds-base
Version: 6.3
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: rc
: ---
Assignee: Rich Megginson
QA Contact: IDM QE LIST
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-05-07 20:19 UTC by Rich Megginson
Modified: 2012-06-20 07:15 UTC (History)
6 users (show)

Fixed In Version: 389-ds-base.1.2.10.2-14.el6
Doc Type: Bug Fix
Doc Text:
Cause: Renaming RDN to the same string sequence, in which only upper/lower cases are different in the replicated configuration. Consequence: The rename failed and the corresponding ruv element was untouched in the list. Fix: Allow renaming RDN to the same string with case difference, and make sure the failed ruv element is removed. Result: The heavy renaming operations work with no errors.
Clone Of:
Environment:
Last Closed: 2012-06-20 07:15:34 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:0813 normal SHIPPED_LIVE Low: 389-ds-base security, bug fix, and enhancement update 2012-06-19 19:29:15 UTC

Description Rich Megginson 2012-05-07 20:19:22 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/389/ticket/359

Found in a stress test.

On one master (blademtv5), one RUV (against another master blademtv1) on database stopped being updated, on the other hand, RUV in the changelog keeps updated.  The mismatch stops the replication originated on blademtv1.

The cause was the simultaneous MODRDN operations caused conflicts and one conflict resolution failed, which left uncommitted CSN in the CSN list in the RUV element.  It prevented to get the max CSN to update the RUV on database.

Comment 1 Jenny Severance 2012-05-07 20:42:24 UTC
This issue was found executing reliability regression tests.  It is blocking QE from executing.

Comment 8 Rich Megginson 2012-05-18 22:07:05 UTC
commit d037c6b87607dabf766229bdaf57140a517599af
Author: Rich Megginson <rmeggins@redhat.com>
Date:   Fri May 18 15:49:11 2012 -0600
ssh://pkgs.devel.redhat.com/rpms/389-ds-base

Comment 10 Noriko Hosoi 2012-05-24 22:27:49 UTC
    Technical note added. If any revisions are required, please edit the
"Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content
Services team.

    New Contents:
Cause: Renaming RDN to the same string sequence, in which only upper/lower cases are different in the replicated configuration.
Consequence: The rename failed and the corresponding ruv element was untouched in the list.
Fix: Allow renaming RDN to the same string with case difference, and make sure the failed ruv element is removed.
Result: The heavy renaming operations work with no errors.

Comment 11 Noriko Hosoi 2012-05-25 00:29:08 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause: Renaming RDN to the same string sequence, in which only upper/lower cases are different in the replicated configuration.
Consequence: The rename failed and the corresponding ruv element was untouched in the list.
Fix: Allow renaming RDN to the same string with case difference, and make sure the failed ruv element is removed.
Result: The heavy renaming operations work with no errors.

Comment 12 Amita Sharma 2012-05-29 11:36:00 UTC
mmrepl mmraccept startup 	100% (2/2) 	  	 
mmrepl mmraccept run 	100% (23/23) 	  	 
mmrepl mmraccept cleanup 	100% (1/1)
Hence VERIFIED

Comment 13 errata-xmlrpc 2012-06-20 07:15:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-0813.html


Note You need to log in before you can comment on or make changes to this bug.